Main Page

Welcome to the Installation Guide

This product contains 2 parts:-

  • The Data Collector (This monitors and collects your internet traffic)
  • The Management Console (This is where all the reporting and configuration is done)

They can be installed on seperate machines or both on the same machine.


System Requirements

The Data Collector

Windows 2000 Professional or Server (Intel compatible)
Windows NT 4 Workstation or Server (Intel compatible) with Service Pack 5
Minimum 32Mb RAM, 64Mb or above recommended
10Mb of disk space + approx 1Mb per 1500 records logged
A Network Interface Card that supports promiscuous mode
(most 3Com cards do)

The Management Console

Can be ran on the same PC as the Data Collector.

If run on a seperate machine, the minimum spec is:-
Windows 95 / 98
Windows NT 4 Workstation or Server (Intel compatible) with Service Pack 5
Windows 2000 Professional or Server (Intel compatible)
Minimum 32Mb RAM, 64Mb or above recommended
10Mb of disk space


Welcome

wpeE34.gif (17912 bytes)

This is the main screen of the setup program, press Next to continue...


Start Installation

wpeEC8.gif (13774 bytes)
Press Next to continue...


Installation

Cyber Predator requires Microsoft Data Access Components (MDAC) to be installed, if MDAC is not detected during installation you will see this dialog box:-

wpeD6A.gif (6853 bytes)

You can continue with the installation, but neither the Data Collector nor the Management Console will work until MDAC is intalled

MDAC can be downloaded from www.ingenuity.co.uk/cp/get_demo.asp

If you don't see this warning, MDAC has been detected on your PC


License Agreement

wpeE35.gif (18717 bytes)

Read the License Agreement, Press I agree to continue, or I Disagree to quit.


Select Destination Directory

wpeE3A.gif (17950 bytes)

If you want to change directory from the default, press Browse and choose an alternate location, otherwise press Next to continue...


Select Components

wpeE68.gif (18308 bytes)

The Real Time Data Collector is an NT Service
and therefore can only be installed on an NT or 2000 machine.
If you run this install on a Windows 9x machine, the Data Collector option will be dimmed, but you will still be able to install the Management Programs


Ready To Install

wpeEA1.gif (17694 bytes)

Press Next to commence installation...


Installing...

wpeEA6.gif (4589 bytes)

During installation you will see a progress bar, keeping you informed...


HTML Help Check

wpeEBC.gif (5181 bytes)
The installation checks to see if you have HTML Help installed on your machine. HTML Help is installed with Internet Explorer 4 and above.
If you see this message, you will need to install Internet Explorer 4 or above to use the online help system


Installation Nearly Complete

wpeECA.gif (15646 bytes)
This screen tells you that the installation is nearly complete.
If you chose to install the Data Collector, setup will now launch the Data Collector setup program,
You will need to specify an Activation Key and Choose a Network Card for the Data Collector to work properly.


Installation Completed

wpeEAD.gif (17533 bytes)
Press Finish to proceed from Installation to Setup + Configuration


Data Collector Setup

wpeEAE.gif (9183 bytes)
2 Parameters are required here, the Activation Key should be included with the Installation and will appear similiar to above
The Network card(s) are read in from the registry, if you only have one Network Card in your machine it will be shown, if you have more than one, press the down arrow on the lower combo to list and choose a different card if desired.
Press Save to Save the Configuration.


Start Service ?

wpeEB4.gif (4277 bytes)
Once the configuration is saved, you will be asked if you wish to start the Data Collector service, choose Yes or No.
The service can be manually started by running a Command Prompt and typing Net Start CyberPredatorRTDC or
stopped by typing Net Stop CyberPredatorRTDC
This must be done on the machine that the Data Collector service was installed on.
When the service is installed it is set to Automatically start, so it will restart if the machine is restarted


Choose CPRTDC.INI File

wpeED5.gif (9430 bytes)

This dialog is shown by the Management Console(MC) when it is launched
The MC needs to know where the Data Collector(DC) is installed, so we tell it by choosing the CPRTDC.INI file, which is located in the directory where the DC is installed

If you have a drive mapped to the DC machine, you can use the "Look In" combo to choose the drive and navigate to the DC installed location.

If you don't have a drive mapped, you can type in a UNC in the "file name" box, and press enter, then navigate to the installed directory on the target machine.

Example, if you installed the DC on the C: of a machine called FRED, you could type in the "file name" box \\FRED\C$, press enter, you will then see the directories and files on the C: of the FRED machine, from here you can navigate to the installed location, and select the CPRTDC.INI file.

By default(unless disabled) all NT/2000 servers create hidden shares on the local disks, C$ is mapped to the root of the C: etc
NT Workstation/2000 Professional do not (unless enabled) create hidden shares by default, in which case you will need to create a share, you can do this by running Windows Explorer locally on the DC machine, choose the root of the correct drive, press the right mouse button, choose Sharing from the popup menu, you will see a screen similiar to the one below:-

wpeECD.gif (18853 bytes)

Click the "Shared As" radio button, a single letter matching the drive letter will appear in the "Share Name" box, click in the box, and add a $ symbol to the end so it says in this example C$, press the OK button, the share will now be created.
Putting a $ on the end of a share name has 2 purposes:-
1. It hides the share so it cannot be seen in Network Neighborhood, and,
2. It assumes "Default Share" properties and is accessable by Administrators only

Now the share is created, you can choose it via a UNC in the File Open Dialog as shown above.


Management Console

wpeEBA.gif (17007 bytes)

The Management Console is where all the remaining setup, configuration and reporting is performed.


Fine Tuning

wpeEC5.gif (18346 bytes)
From now on, all Setup, Configuration and Fine Tuning is done in the Management Console using options from the Configuration Menu shown above

The Management Console has its own Context Sensitive help, which can be accessed by pressing the purple book with the yellow question mark on the toolbar, or by choosing Help | Help from the main menu, or by pressing the F1 key which will load the help page for the selected topic.